<template>
<v-container>
  <v-breadcrumbs :items="items" divider="/" class="pt-0 pl-0"></v-breadcrumbs>

  <course-title
    title="MATLAB и Octave"
    subtitle="Для студентов. Школьникам такое не дают =)"
    :img="require('@/assets/img/logo-octave.svg')"
    ></course-title>

  <qa title="С чем можно обращаться">
    <ul class="mb-5">
      <li>Студенческие лабораторные работы</li>
    </ul>

    <v-alert type="info" :icon="mdiInformation" border="left" colored-border>
      <b>Студенты МИРЭА.</b> Ваш робот в Octave работает через одно
      место. Хотя всё можно сделать.
    </v-alert>

    <v-alert type="info" :icon="mdiInformation" border="left" colored-border>
      <b>Забавный факт.</b> Если Вы работаете в Octave - очень вероятно,
      что раньше в Вашем ВУЗе был установлен ворованый MATLAB (история
      со слов студентов).
    </v-alert>
  </qa>

  <qa title="Стоимость">
    <stud-lab-note></stud-lab-note>

    <p class="mt-5">Если потребуется ещё дополнительное время, то вот стоимость по времени:</p>

    <prices-regular/>
  </qa>

  <qa title="Где проходят занятия">
    <p>
      В случае если нужно вместе обсуждать задание, это можно сделать:
    </p>

    <ul>
      <li>либо удалённо (из любого города)</li>
      <li>либо Вы приезжаете ко мне (г. Москва, м. Сходненская)</li>
    </ul>
  </qa>

  <qa title="Преподаватель">
    <author></author>
  </qa>

  <qa title="Записаться">
    <enroll></enroll>
  </qa>

</v-container>
</template>

<script>
import { mapState } from 'vuex';

import {
  mdiInformation,
} from '@mdi/js';

export default {
  metaInfo: {
    title: 'MATLAB и Octave',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Помощь в выполнении лабораторных работ в MATLAB и Octave.',
      },
    ],
  },
  computed: {
    remote() {
      return this.repetitor.prices.remote;
    },
    msk() {
      return this.repetitor.prices.msk;
    },
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  components: {
    'prices-regular': () => import('@/common/PricesRegular.vue'),
    enroll: () => import('@/common/Enroll.vue'),
    author: () => import('@/common/Author.vue'),
    qa: () => import('@/common/QA.vue'),
    'stud-lab-note': () => import('@/common/StudLabNote.vue'),
    'course-title': () => import('@/common/CourseTitle.vue'),
  },
  data: () => ({
    // icons
    mdiInformation,

    year: (new Date()).getFullYear(),
    items: [
      {
        text: 'Главная',
        to: '/',
      },
      {
        text: 'MATLAB и Octave',
        to: '/matlab-octave',
      },
    ],
  }),
};
</script>
